binary = antibuild
abargs = build

$(binary): $(shell find ../../ -name "*.go")
	go build -o $(binary) ../../cmd/*.go

build: $(binary)
	./$(binary) $(abargs)

debug: export DEBUG = 1
#debug: export GODEBUG = gctrace=1
debug: $(binary)
	./$(binary) build

develop: $(binary)
	./$(binary) develop

clean:
	rm $(binary) $(binary).log
